stages:
  - prepare
  - compile

image: docker:stable
services:
- docker:dind

before_script:
- docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY

build branch: &build
  stage: prepare
  variables:
    DOCKER_IMAGE_TAG: $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG
  script:
  - docker pull "$DOCKER_IMAGE_TAG" || true
  - docker build --pull --cache-from "$DOCKER_IMAGE_TAG" -t "$DOCKER_IMAGE_TAG" 00_Slides
  - docker push "$DOCKER_IMAGE_TAG"
  tags:
  - nxt
  - docker
  except:
  - master

build master:
  <<: *build
  stage: prepare
  variables:
    DOCKER_IMAGE_TAG: $CI_REGISTRY_IMAGE
  only:
  - master
  except: []

make pdf branch: &make_pdf
  stage: compile
  variables:
    DOCKER_IMAGE: $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG
  script:
  - apk add --no-cache bash
  - cd 00_Slides
  - ./build.sh
  artifacts:
    untracked: true
  tags:
  - nxt
  - docker
  except:
  - master

make pdf master:
  <<: *make_pdf
  variables:
    DOCKER_IMAGE: $CI_REGISTRY_IMAGE
  only:
  - master
  except: []
